magento2 – Magento 2: Any quick option how to make magento 2.2.x websites compatible with PHP 7.3 without magento version upgrade?

Not really. You should perform the upgrade of Magento or delay upgrade of PHP.

Compatibility with 7.3 starts with version 2.3, but I suggest an upgrade latest available version:

Please take into consideration that Magento 2.2 is long gone dead, no support what so ever for this version, so many serious problems besides the PHP being outdated.